/* wmupdate.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_update (wm_handle wh, int flag)
{
  if (wh->used != WM_USED)
    return;
  if (wh->update_req)
    _wm_put1 (wh);                            /* Restore window contents */
  wh->update_req = FALSE;
  wh->update_flag = flag;
  wh->display = flag && wh->open;
}
